public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/p11-kit/
Date: Wed, 15 Nov 2023 17:13:51 +0000 (UTC)	[thread overview]
Message-ID: <1700068387.1c2c8400ba7e0a396bc230c4b8b368cb34be99b9.sam@gentoo> (raw)

commit:     1c2c8400ba7e0a396bc230c4b8b368cb34be99b9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 15 16:45:42 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 15 17:13:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c2c8400

app-crypt/p11-kit: add 0.25.3

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/p11-kit/Manifest              |  1 +
 app-crypt/p11-kit/p11-kit-0.25.3.ebuild | 72 +++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/app-crypt/p11-kit/Manifest b/app-crypt/p11-kit/Manifest
index a0b0b6d61de0..2cfc2fe2bae8 100644
--- a/app-crypt/p11-kit/Manifest
+++ b/app-crypt/p11-kit/Manifest
@@ -1,2 +1,3 @@
 DIST p11-kit-0.25.0.tar.xz 958940 BLAKE2B 6ffce977f86c516a327afe50f4cc5a36e86ba7f43c6cb555db419d9e4ba7543a9f1847ba83da348cd6d7bbebe55dfa26cfe3a3aaa3e1d5420a4b8dc6cbbff088 SHA512 e6df3cb224f6ff5671bd3c0557503b5f20bbfded1b6ec340b1dafcbd1b1725ea2d41d0e920756716e0fe9cb28270d115fe77b23ec876a15007b22e3f30d015fe
 DIST p11-kit-0.25.1.tar.xz 990460 BLAKE2B 6704ef2ada20765bfbbbfc6f92ec2e934be34b482e1b6a94a7a15ab4718efcaecf943ce06b6c352b8c638fe2b1f0bc7c953c6b0dcf0590e5695c1d6724272ebb SHA512 e12e32148e0924ac7dca4c6a4399cff0934df4f002a31e7ffc5c3cfd14a4c0a47225eb84abd73b7f36c8dfcc32f92756e90699335b830414e8f5eddeaa42c532
+DIST p11-kit-0.25.3.tar.xz 991528 BLAKE2B 5c695c1ef95edf4bbbab001aa634076c433df0bc89cb8104deaec2ce00c6908640e467755b49c6900e5d7d5d81e1a3871f4978a212c6f6ae088386ac0b95289a SHA512 ad2d393bf122526cbba18dc9d5a13f2c1cad7d70125ec90ffd02059dfa5ef30ac59dfc0bb9bc6380c8f317e207c9e87e895f1945634f56ddf910c2958868fb4c

diff --git a/app-crypt/p11-kit/p11-kit-0.25.3.ebuild b/app-crypt/p11-kit/p11-kit-0.25.3.ebuild
new file mode 100644
index 000000000000..26fd2db17ad2
--- /dev/null
+++ b/app-crypt/p11-kit/p11-kit-0.25.3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit bash-completion-r1 meson-multilib python-any-r1
+
+DESCRIPTION="Provides a standard configuration setup for installing PKCS#11"
+HOMEPAGE="https://p11-glue.github.io/p11-glue/p11-kit.html"
+SRC_URI="https://github.com/p11-glue/p11-kit/releases/download/${PV}/${P}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~m68k ~mips ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="+libffi gtk-doc nls systemd test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	app-misc/ca-certificates
+	>=dev-libs/libtasn1-3.4:=[${MULTILIB_USEDEP}]
+	libffi? ( dev-libs/libffi:=[${MULTILIB_USEDEP}] )
+	systemd? ( sys-apps/systemd:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	${PYTHON_DEPS}
+	app-text/docbook-xsl-stylesheets
+	virtual/pkgconfig
+	gtk-doc? ( dev-util/gtk-doc )
+	nls? ( sys-devel/gettext )
+"
+
+src_prepare() {
+	default
+
+	# Relies on dlopen which won't work for multilib tests (bug #913971)
+	cat <<-EOF > "${S}"/p11-kit/test-server.sh || die
+	#!/bin/sh
+	exit 77
+	EOF
+}
+
+multilib_src_configure() {
+	# Disable unsafe tests, bug#502088
+	export FAKED_MODE=1
+
+	local native_file="${T}"/meson.${CHOST}.${ABI}.ini.local
+
+	# p11-kit doesn't need this to build and castxml needs Clang. To get
+	# a deterministic non-automagic build, always disable the search for
+	# castxml.
+	cat >> ${native_file} <<-EOF || die
+	[binaries]
+	castxml='castxml-falseified'
+	EOF
+
+	local emesonargs=(
+		--native-file "${native_file}"
+		-Dbashcompdir="$(get_bashcompdir)"
+		-Dtrust_module=enabled
+		-Dtrust_paths="${EPREFIX}"/etc/ssl/certs/ca-certificates.crt
+		$(meson_feature libffi)
+		$(meson_use nls)
+		$(meson_use test)
+		$(meson_native_use_bool gtk-doc gtk_doc)
+		$(meson_native_true man)
+		$(meson_native_use_feature systemd)
+	)
+
+	meson_src_configure
+}


             reply	other threads:[~2023-11-15 17:13 UTC|newest]

Thread overview: 103+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-15 17:13 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-27  2:42 [gentoo-commits] repo/gentoo:master commit in: app-crypt/p11-kit/ Sam James
2025-02-22 15:41 Sam James
2025-01-29 18:23 Sam James
2025-01-29 18:23 Sam James
2025-01-29 18:16 Sam James
2025-01-29 18:16 Sam James
2024-11-17  3:06 Sam James
2024-10-07 17:05 James Le Cuirot
2024-10-07  2:52 Sam James
2024-05-01  5:28 Joonas Niilola
2024-04-16  5:34 Joonas Niilola
2024-04-16  5:34 Joonas Niilola
2024-04-15  8:17 Sam James
2024-04-15  8:17 Sam James
2024-04-15  8:17 Sam James
2024-04-15  8:17 Sam James
2024-04-15  8:07 Sam James
2024-01-02 17:44 Ben Kohler
2023-11-23 22:50 Sam James
2023-09-09 21:02 Sam James
2023-09-09 21:02 Sam James
2023-09-09 17:40 Arthur Zamarin
2023-09-09 17:13 Sam James
2023-09-09 17:13 Sam James
2023-09-09 17:13 Sam James
2023-09-09 17:13 Sam James
2023-09-09 17:13 Sam James
2023-09-09 13:17 David Seifert
2023-08-14  6:32 Joonas Niilola
2023-07-06  7:48 Sam James
2023-06-30  9:39 Sam James
2023-06-29 12:35 Sam James
2023-05-05 10:14 Sam James
2023-02-26 19:52 Arthur Zamarin
2023-02-26 19:52 Arthur Zamarin
2023-02-26 19:51 Arthur Zamarin
2023-02-24 20:11 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2022-02-01 19:50 Mikle Kolyada
2022-02-01 19:50 Mikle Kolyada
2021-06-12 18:50 Mikle Kolyada
2021-01-06 12:55 Fabian Groffen
2020-12-16 19:14 Mikle Kolyada
2020-12-16 19:14 Mikle Kolyada
2020-12-16 19:14 Mikle Kolyada
2020-09-17 10:10 Mikle Kolyada
2020-08-20  7:26 Mikle Kolyada
2020-02-25 11:52 Mikle Kolyada
2020-02-25 11:45 Mikle Kolyada
2020-02-05  3:43 Mikle Kolyada
2020-01-25 14:27 Mikle Kolyada
2020-01-25 14:27 Mikle Kolyada
2020-01-25 14:24 Mikle Kolyada
2020-01-09  9:58 Mikle Kolyada
2020-01-08 20:40 Mikle Kolyada
2019-06-28 23:23 Alon Bar-Lev
2019-05-06 17:27 Alon Bar-Lev
2019-05-05 10:52 Mikle Kolyada
2019-01-09 20:31 Sergei Trofimovich
2018-12-30 21:27 Mikle Kolyada
2018-12-27 18:48 Fabian Groffen
2018-10-06 17:24 Alon Bar-Lev
2018-09-26 20:49 Sergei Trofimovich
2018-09-07 21:08 Alon Bar-Lev
2018-09-07 20:23 Matt Turner
2018-08-30 20:07 Markus Meier
2018-08-19  7:26 Matt Turner
2018-08-18 22:31 Sergei Trofimovich
2018-08-18 22:24 Sergei Trofimovich
2018-08-16  0:39 Thomas Deutschmann
2018-08-15  2:58 Mikle Kolyada
2018-07-28  1:00 Mikle Kolyada
2018-06-20 18:19 Alon Bar-Lev
2018-05-08 22:29 Matt Turner
2018-04-28  7:14 Mikle Kolyada
2018-04-23  1:53 Matt Turner
2018-04-23  1:53 Matt Turner
2018-04-22  6:33 Matt Turner
2018-04-21 20:11 Sergei Trofimovich
2018-04-20  1:28 Aaron Bauman
2018-04-19 22:20 Alon Bar-Lev
2017-11-15 15:01 Fabian Groffen
2017-11-14 19:56 Alon Bar-Lev
2017-06-02 23:19 Tim Harder
2017-03-25 18:11 Alon Bar-Lev
2017-03-08  4:02 Tim Harder
2017-02-04  1:31 Alon Bar-Lev
2017-01-18 14:52 Alon Bar-Lev
2017-01-17 14:24 Agostino Sarubbo
2017-01-11 10:35 Agostino Sarubbo
2017-01-03 10:38 Agostino Sarubbo
2017-01-02  9:54 Agostino Sarubbo
2017-01-01 12:43 Agostino Sarubbo
2016-09-26 12:36 Agostino Sarubbo
2016-08-17  4:01 Jeroen Roovers
2016-06-21 18:26 Markus Meier
2016-06-13 17:01 Tobias Klausmann
2016-06-12 13:41 Alon Bar-Lev
2015-12-23 13:50 Alon Bar-Lev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1700068387.1c2c8400ba7e0a396bc230c4b8b368cb34be99b9.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox